Package com.avaya.clientservices.call.feature

## Class FeatureInvocationParameters

- java.lang.Object
- - com.avaya.clientservices.call.feature.FeatureInvocationParameters

-     public class FeatureInvocationParameters
      extends java.lang.Object

  Parameters for a specific feature invocation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureInvocationParameters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `FeatureAction` | `getAction()` | Gets the action used in 'avaya-cm-action' parameter of the feature invocation.
    `java.lang.String` | `getDestination()` | Gets the destination used in 'avaya-cm-destination=<destination>' or in 'term-destination=<destination>' for the callback call feature.
    `java.lang.String` | `getDialCode()` |
    `EnhancedCallForwardingStatus` | `getEnhancedCallForwardingStatus()` | Get the EnhancedCallForwardingStatus to be passed as parameter for invocation of Enhanced Call Forward feature.
    `java.lang.String` | `getExtension()` | Get the extension used in 'avaya-cm-extension=<extension>' or in 'callback-destination=<extension>' for the callback call feature.
    `int` | `getGroupNumber()` | Get the group number associated with the feature populated from avaya-cm-group parameter of feature status notify
    `int` | `getHuntGroupNumber()` | Deprecated. THIS METHOD WILL BE REMOVED.
    `java.lang.String` | `getOwnerExtension()` | Get the extension used in the To and Request-URI of this feature invocation (instead of the local user's AOR).
    `java.lang.String` | `getPickupGroupNumber()` | Get the number used in 'avaya-cm-pickup-number=<number>'.
    `int` | `getPickupNumber()` | Deprecated. Use `getPickupGroupNumber()` instead.
    `SimRingCallbackStatusParameters` | `getSimRingCallbackStatusParameters()` | Get the SimRingCallbackStatusParameters to be passed as parameter for Callback / Simultaneous Ring feature invocation.
    `int` | `hashCode()` |
    `void` | `setAction​(FeatureAction action)` | Set the action used in 'avaya-cm-action' parameter of the feature invocation.
    `void` | `setDestination​(java.lang.String destination)` | Sets the destination used in 'avaya-cm-destination' parameter of the feature invocation or in 'term-destination' parameter for the callback call feature.
    `void` | `setDialCode​(java.lang.String dialCode)` | The dial code to be used in avaya-cm-dial-code parameter for intercom feature invocation
    `void` | `setEnhancedCallForwardingStatus​(EnhancedCallForwardingStatus enhancedCallForwardingStatus)` | For Enhanced Call Forward feature invocation, populate EnhancedCallForwardingStatus parameter.
    `void` | `setExtension​(java.lang.String extension)` | Sets the extension used in 'avaya-cm-extension=<extension>' or in 'callback-destination=<extension>' for the callback call feature.
    `void` | `setGroupNumber​(int groupNumber)` | The Group Number to be used in avaya-cm-group parameter for hunt-group-busy-position/intercom features invocation
    `void` | `setHuntGroupNumber​(int huntGroupNumber)` | Deprecated. THIS METHOD WILL BE REMOVED.
    `void` | `setOwnerExtension​(java.lang.String ownerExtension)` | Set the extension used in the To and Request-URI of this feature invocation (instead of the local user's AOR).
    `void` | `setPickupGroupNumber​(java.lang.String pickupGroupNumber)` | Set the number used in 'avaya-cm-pickup-number=<number>'.
    `void` | `setPickupNumber​(int pickupNumber)` | Deprecated. Use `setPickupGroupNumber(String)` instead.
    `void` | `setSimRingCallbackStatusParameters​(SimRingCallbackStatusParameters simRingCallbackStatusParameters)` | For Callback / Simultaneous Ring feature invocation, populate SimRingCallbackStatusParameters parameter.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureInvocationParameters

          public FeatureInvocationParameters()

  - ### Method Detail

    - #### setAction

          public void setAction​(FeatureAction action)

      Set the action used in 'avaya-cm-action' parameter of the feature invocation. When action is UNDEFINED, avaya-cm-action is not used during feature invocation.
      Parameters:
        `action` - The feature action.

    - #### getAction

          public FeatureAction getAction()

      Gets the action used in 'avaya-cm-action' parameter of the feature invocation. When action is UNDEFINED, avaya-cm-action is not used during feature invocation.
      Returns:
        The feature action.

    - #### setDestination

          public void setDestination​(java.lang.String destination)

      Sets the destination used in 'avaya-cm-destination' parameter of the feature invocation or in 'term-destination' parameter for the callback call feature. When destination is empty, avaya-cm-destination and term-destination are not used during feature invocation.
      Parameters:
        `destination` - The feature destination.

    - #### getDestination

          public java.lang.String getDestination()

      Gets the destination used in 'avaya-cm-destination=<destination>' or in 'term-destination=<destination>' for the callback call feature. When destination is empty, avaya-cm-destination and term-destination are not used during feature invocation.
      Returns:
        The feature destination.

    - #### setExtension

          public void setExtension​(java.lang.String extension)

      Sets the extension used in 'avaya-cm-extension=<extension>' or in 'callback-destination=<extension>' for the callback call feature. When extension is empty, avaya-cm-extension and callback-destination are not used during feature invocation.
      Parameters:
        `extension` - The feature extension.

    - #### getExtension

          public java.lang.String getExtension()

      Get the extension used in 'avaya-cm-extension=<extension>' or in 'callback-destination=<extension>' for the callback call feature. When extension is empty, avaya-cm-extension and callback-destination are not used during feature invocation.
      Returns:
        The feature extension.

    - #### setPickupNumber

          @Deprecated
          public void setPickupNumber​(int pickupNumber)

      Deprecated.
      Use `setPickupGroupNumber(String)` instead.
      Set the number used in 'avaya-cm-pickup-number=<number>'. When pickup number is less than 0, avaya-cm-pickup-number is not used during feature invocation.
      Parameters:
        `pickupNumber` - The feature pickup number.

    - #### getPickupNumber

          @Deprecated
          public int getPickupNumber()

      Deprecated.
      Use `getPickupGroupNumber()` instead.
      Get the number used in 'avaya-cm-pickup-number=<number>'. When pickup number is less than 0, avaya-cm-pickup-number is not used during feature invocation.
      Returns:
        The feature pickup number.

    - #### setPickupGroupNumber

          public void setPickupGroupNumber​(java.lang.String pickupGroupNumber)

      Set the number used in 'avaya-cm-pickup-number=<number>'.
      Parameters:
        `pickupGroupNumber` - The feature pickup group number.

    - #### getPickupGroupNumber

          public java.lang.String getPickupGroupNumber()

      Get the number used in 'avaya-cm-pickup-number=<number>'.
      Returns:
        The feature pickup group number.

    - #### setOwnerExtension

          public void setOwnerExtension​(java.lang.String ownerExtension)

      Set the extension used in the To and Request-URI of this feature invocation (instead of the local user's AOR). When this argument is empty, local user's AOR is used for feature invocation.
      Parameters:
        `ownerExtension` - The feature owner extension.

    - #### getOwnerExtension

          public java.lang.String getOwnerExtension()

      Get the extension used in the To and Request-URI of this feature invocation (instead of the local user's AOR). When this argument is empty, local user's AOR is used for feature invocation.
      Returns:
        The feature owner extension.

    - #### setEnhancedCallForwardingStatus

          public void setEnhancedCallForwardingStatus​(EnhancedCallForwardingStatus enhancedCallForwardingStatus)

      For Enhanced Call Forward feature invocation, populate EnhancedCallForwardingStatus parameter. This argument is empty, for rest of feature invocation.
      Parameters:
        `enhancedCallForwardingStatus` - The parameter to set call forward.

    - #### getEnhancedCallForwardingStatus

          public EnhancedCallForwardingStatus getEnhancedCallForwardingStatus()

      Get the EnhancedCallForwardingStatus to be passed as parameter for invocation of Enhanced Call Forward feature. This argument will be empty while any other feature invocation.
      Returns:
        The EnhancedCallForwardingStatus to be set for call forward.

    - #### setSimRingCallbackStatusParameters

          public void setSimRingCallbackStatusParameters​(SimRingCallbackStatusParameters simRingCallbackStatusParameters)

      For Callback / Simultaneous Ring feature invocation, populate SimRingCallbackStatusParameters parameter. This argument is empty, for rest of feature invocation.
      Parameters:
        `simRingCallbackStatusParameters` - The parameter to set up the Callback / Simultaneous Ring feature invocation.

    - #### getSimRingCallbackStatusParameters

          public SimRingCallbackStatusParameters getSimRingCallbackStatusParameters()

      Get the SimRingCallbackStatusParameters to be passed as parameter for Callback / Simultaneous Ring feature invocation. This argument will be empty while any other feature invocation.
      Returns:
        The SimRingCallbackStatusParameters to be set for Callback / Simultaneous Ring feature invocation.

    - #### setHuntGroupNumber

          @Deprecated
          public void setHuntGroupNumber​(int huntGroupNumber)

      Deprecated.
      THIS METHOD WILL BE REMOVED. Use `setGroupNumber(int)` instead.
      The Hunt Group Number to be used in avaya-cm-group parameter for the hunt-group-busy-position feature invocation
      Parameters:
        `huntGroupNumber` - The hunt group number associated with hunt-group-busy-position feature.

    - #### getHuntGroupNumber

          @Deprecated
          public int getHuntGroupNumber()

      Deprecated.
      THIS METHOD WILL BE REMOVED. Use `getGroupNumber()` instead.
      Get the hunt group number associated with the feature populated from avaya-cm-group parameter of feature status notify
      Returns:
        The hunt group number associated with hunt-group-busy-position feature.

    - #### setGroupNumber

          public void setGroupNumber​(int groupNumber)

      The Group Number to be used in avaya-cm-group parameter for hunt-group-busy-position/intercom features invocation
      Parameters:
        `groupNumber` - The group number.

    - #### getGroupNumber

          public int getGroupNumber()

      Get the group number associated with the feature populated from avaya-cm-group parameter of feature status notify
      Returns:
        The group number.

    - #### setDialCode

          public void setDialCode​(java.lang.String dialCode)

      The dial code to be used in avaya-cm-dial-code parameter for intercom feature invocation
      Parameters:
        `dialCode` - The dial code.

    - #### getDialCode

          public java.lang.String getDialCode()

      Returns:
        the dial code associated with auto intercom feature.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`